# Changelog

All notable changes to this project will be documented in this file.

## [0.1.3] - 2023-06-23

### Bug Fixes

- Cover the full line range of instantiation data ([9303b6b](https://github.com/dnaka91/llvm-cov-pretty/commit/9303b6b))

### Features

- Add option to automatically open the report and print the location otherwise ([88fb877](https://github.com/dnaka91/llvm-cov-pretty/commit/88fb877))
- Use the relative path in the source page to be in sync with the index ([67c9816](https://github.com/dnaka91/llvm-cov-pretty/commit/67c9816))

## [0.1.2] - 2023-06-22

### Bug Fixes

- Ensure partially covered lines are always marked as uncovered ([f4b3f0f](https://github.com/dnaka91/llvm-cov-pretty/commit/f4b3f0f))

### Documentation

- Note about first setup and stability ([9bcc4f3](https://github.com/dnaka91/llvm-cov-pretty/commit/9bcc4f3))
- Show light/dark theme support in help messages ([5fa713f](https://github.com/dnaka91/llvm-cov-pretty/commit/5fa713f))

### Features

- Improve error messages, especially external tool checks ([3788323](https://github.com/dnaka91/llvm-cov-pretty/commit/3788323))
- Allow manually defining the project's manifest path ([5d972b8](https://github.com/dnaka91/llvm-cov-pretty/commit/5d972b8))
- Make annotations for missing instantations opt-in ([d798f5a](https://github.com/dnaka91/llvm-cov-pretty/commit/d798f5a))
- Ensure files lists are always sorted alphabetically ([2b898f8](https://github.com/dnaka91/llvm-cov-pretty/commit/2b898f8))
- Add option to only highlight the gutter for coverage info ([97b359c](https://github.com/dnaka91/llvm-cov-pretty/commit/97b359c))

### Miscellaneous Tasks

- Prepare for v0.1.2 ([f816f27](https://github.com/dnaka91/llvm-cov-pretty/commit/f816f27))

### Refactor

- Adjust schema structure to only accept a single file name ([1443ab1](https://github.com/dnaka91/llvm-cov-pretty/commit/1443ab1))
- Improve CLI argument configuration ([e7ca3cb](https://github.com/dnaka91/llvm-cov-pretty/commit/e7ca3cb))

## [0.1.1] - 2023-06-22

### Bug Fixes

- Don't show a 0 count if coverage is unknown ([6cd93f8](https://github.com/dnaka91/llvm-cov-pretty/commit/6cd93f8))
- Reduce gaps in colored coverage areas ([1094cfa](https://github.com/dnaka91/llvm-cov-pretty/commit/1094cfa))
- Handle the case where report paths are relative ([94ae77a](https://github.com/dnaka91/llvm-cov-pretty/commit/94ae77a))

### Documentation

- Partially document code parts ([2518ff7](https://github.com/dnaka91/llvm-cov-pretty/commit/2518ff7))
- Include commit hashes in the changelog ([d5befa1](https://github.com/dnaka91/llvm-cov-pretty/commit/d5befa1))

### Features

- Process coverage data and files in parallel ([d253d0f](https://github.com/dnaka91/llvm-cov-pretty/commit/d253d0f))
- Add version check for cargo-llvm-cov ([624ab1c](https://github.com/dnaka91/llvm-cov-pretty/commit/624ab1c))

### Miscellaneous Tasks

- Configure GitHub issue templates ([5eaa073](https://github.com/dnaka91/llvm-cov-pretty/commit/5eaa073))
- Don't render all issue template fields as Markdown ([93de0d1](https://github.com/dnaka91/llvm-cov-pretty/commit/93de0d1))

### Refactor

- Use askama's escape function during highlighting ([e599493](https://github.com/dnaka91/llvm-cov-pretty/commit/e599493))
- Simplify function name demangling ([52ff0ea](https://github.com/dnaka91/llvm-cov-pretty/commit/52ff0ea))
- Improve logic to locate the project root ([593d315](https://github.com/dnaka91/llvm-cov-pretty/commit/593d315))

## [0.1.0] - 2023-06-18

### Miscellaneous Tasks

- Initial commit ([d8b1afe](https://github.com/dnaka91/llvm-cov-pretty/commit/d8b1afe))

<!-- generated by git-cliff -->
